﻿using System;
namespace ReachStats.ReachApiReference
{
    public class GameSummary
    {
        public string CampaignDifficulty { get; set; }
        public int CampaignGlobalScore { get; set; }
        public bool CampaignMetagameEnabled { get; set; }
        public int GameDuration { get; set; }
        public ulong GameId { get; set; }
        public DateTime GameTimestamp { get; set; }
        public ReachGameVariantClass GameVariantClass { get; set; }
        public long GameVariantHash { get; set; }
        public string GameVariantName { get; set; }
        public bool HasDetails { get; set; }
        public bool IsTeamGame { get; set; }
        public string MapName { get; set; }
        public long MapVariantHash { get; set; }
        public int PlayerCount { get; set; }
        public string PlaylistName { get; set; }
        public short RequestedPlayerAssists { get; set; }
        public short RequestedPlayerDeaths { get; set; }
        public short RequestedPlayerKills { get; set; }
        public short RequestedPlayerRating { get; set; }
        public int RequestedPlayerScore { get; set; }
        public int RequestedPlayerStanding { get; set; }
    }
}
