﻿using System;
using HaloReachApi.Responses;

namespace HaloReachApi
{
    public class PlayerRecentScreenshotsService : BaseReachApiJsonService<FileResponse>
    {
        private const string uri = "http://www.bungie.net/api/reach/reachapijson.svc/file/screenshots/{0}/{1}";

        public PlayerRecentScreenshotsService()
            : base()
        { }

        public PlayerRecentScreenshotsService(string key)
            : base(key)
        { }

        public void GetPlayerRecentScreenshotsAsync(string gamerTag)
        {
            StartServiceCall(String.Format(uri, apiKey, gamerTag));
        }
    }
}
