﻿using System;
using HaloReachApi.Responses;

namespace HaloReachApi
{
    public class PlayerRenderedVideoService : BaseReachApiJsonService<FileResponse>
    {
        private const string uri = "http://www.bungie.net/api/reach/reachapijson.svc/file/videos/{0}/{1}/{2}";

        public PlayerRenderedVideoService()
            : base()
        { }

        public PlayerRenderedVideoService(string key)
            : base(key)
        { }

        public void GetPlayerRenderedVideosAsync(string gamerTag, int pageNo = 0)
        {
            StartServiceCall(String.Format(uri, apiKey, gamerTag, pageNo));
        }
    }
}
