﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using ReachStats.ReachApiReference;

namespace ReachStats
{
    public class GameMetadataService : BaseReachAPIService<MetaDataResponse>
    {
        public GameMetadataService()
            : base()
        { }

        public GameMetadataService(string apiKey)
            : base(apiKey)
        { }

        public void GetGameMetaDataAsync()
        {
            StartServiceCall();
        }

        protected override MetaDataResponse DoServiceCall()
        {
            return reachClient.GetGameMetadata(apiKey);
        }
    }
}
