﻿using System;
using HaloReachApi.Responses;

namespace HaloReachApi
{
    public class GameMetadataService : BaseReachApiJsonService<GameMetadataResponse>
    {
        private const string uri = "http://www.bungie.net/api/reach/reachapijson.svc/game/metadata/{0}";

        public GameMetadataService()
            : base()
        {

        }

        public GameMetadataService(string key)
            : base(key)
        {

        }

        public void GetGameDataAsync()
        {
            StartServiceCall(String.Format(uri, apiKey));
        }
    }
}
