using System;
using HaloReachApi.Responses;

namespace HaloReachApi
{
    public class GetCurrentChallengesService : BaseReachApiJsonService<CurrentChallengesResponse>
    {
        private const string uri = "http://www.bungie.net/api/reach/reachapijson.svc/game/challenges/{0}";

        public GetCurrentChallengesService()
            : base()
        { }


        public GetCurrentChallengesService(string key)
            : base(key)
        { }

        public void GetCurrentChallengesAsync()
        {
            StartServiceCall(String.Format(uri, apiKey));
        }
    }
}
