﻿using HaloReachApi.Responses;

namespace HaloReachApi
{
    public class PlayerFileSetsService : BaseReachApiJsonService<FileResponse>
    {
         private const string uri = "http://www.bungie.net/api/reach/reachapijson.svc/file/sets/{0}/{1}";

        public PlayerFileSetsService()
            : base()
        { }

        public PlayerFileSetsService(string key)
            : base(key)
        { }

        public void GetPlayerFileSetsAsync(string gamerTag)
        {
            StartServiceCall(string.Format(uri, apiKey, gamerTag));
        }
    }
}
