﻿using System;
using HaloReachApi.Responses;

namespace HaloReachApi
{
    public class PlayerFileShareService : BaseReachApiJsonService<FileResponse>
    {
        private const string uri = "http://www.bungie.net/api/reach/reachapijson.svc/file/share/{0}/{1}";

        public PlayerFileShareService()
            : base()
        { }

        public PlayerFileShareService(string key)
            : base(key)
        { }

        public void GetPlayerFileShareAsync(string gamerTag)
        {
            StartServiceCall(String.Format(uri, apiKey, gamerTag));
        }
    }
}
