﻿using System;
namespace ReachStats.ReachApiReference
{
    public class PlayerGameReach
    {
        public System.Collections.Generic.Dictionary<CampaignEnemyTypeClassReach, AiEventAggregate> AiEventAggregates { get; set; }
        public short Assists { get; set; }
        public float AvgDeathDistanceMeters { get; set; }
        public float AvgKillDistanceMeters { get; set; }
        public short Betrayals { get; set; }
        public short Deaths { get; set; }
        public ulong[][] DeathsOverTime { get; set; }
        public bool DNF { get; set; }
        public short Headshots { get; set; }
        public sbyte IndividualStandingWithNoRegardForTeams { get; set; }
        public bool IsGuest { get; set; }
        public int KilledMostByCount { get; set; }
        public int KilledMostCount { get; set; }
        public short Kills { get; set; }
        public ulong[][] KillsOverTime { get; set; }
        public ulong[][] MedalsOverTime { get; set; }
        public int? MultiMedalCount { get; set; }
        public int? OtherMedalCount { get; set; }
        public int PlayerDataIndex { get; set; }
        public PlayerDetailReachBasic PlayerDetail { get; set; }
        public string PlayerKilledByMost { get; set; }
        public string PlayerKilledMost { get; set; }
        public ulong[][] PointsOverTime { get; set; }
        public short Rating { get; set; }
        public int Score { get; set; }
        public System.Collections.Generic.Dictionary<int, int> SpecificMedalCounts { get; set; }
        public int? SpreeMedalCount { get; set; }
        public sbyte Standing { get; set; }
        public int? StyleMedalCount { get; set; }
        public short? Suicides { get; set; }
        public byte Team { get; set; }
        public int TeamScore { get; set; }
        public int? TotalMedalCount { get; set; }
        public int? UniqueMultiMedalCount { get; set; }
        public int? UniqueOtherMedalCount { get; set; }
        public int? UniqueSpreeMedalCount { get; set; }
        public int? UniqueStyleMedalCount { get; set; }
        public int? UniqueTotalMedalCount { get; set; }
        public WeaponCarnageStats[] WeaponCarnageReport { get; set; }
    }
}
