﻿using System.Configuration;
using Service4u2.Json;

namespace HaloReachApi
{
    public class BaseReachApiJsonService<TResponse> : BaseJsonService<TResponse>
        where TResponse : new()
    {
        public const string APIKeyAppSettingName = "HaloReachAPIKey";

        protected string apiKey = string.Empty;
        
        public BaseReachApiJsonService()
            : this(ConfigurationManager.AppSettings[APIKeyAppSettingName])
        {

        }

        public BaseReachApiJsonService(string key)
        {   
            this.apiKey = key;
        }
    }
}
