﻿using System;
using HaloReachApi.Responses;

namespace HaloReachApi
{
    public class FileDetailsService : BaseReachApiJsonService<FileResponse>
    {
        private const string uri = "http://www.bungie.net/api/reach/reachapijson.svc/file/details/{0}/{1}";

        public FileDetailsService()
            : base()
        { }

        public FileDetailsService(string key)
            : base(key)
        { }

        public void GetFileDetailsAsync(string fileId)
        {
            StartServiceCall(String.Format(uri, apiKey, fileId));
        }
    }
}
