﻿using System;
using HaloReachApi.Responses;

namespace HaloReachApi
{
    public class GameDetailsService : BaseReachApiJsonService<GameDetailsResponse>
    {
        private const string uri = "http://www.bungie.net/api/reach/reachapijson.svc/game/details/{0}/{1}";

        public GameDetailsService()
            : base()
        { }

        public GameDetailsService(string key)
            : base(key)
        { }

        public void GetGameDetailsAsync(string gameId)
        {
            StartServiceCall(String.Format(uri, apiKey, gameId));
        }
    }
}
