﻿using System;
using HaloReachApi.Responses;

namespace HaloReachApi
{
    public class PlayerFileSetFilesService : BaseReachApiJsonService<FileResponse>
    {
        private const string uri = "http://www.bungie.net/api/reach/reachapijson.svc/file/sets/files/{0}/{1}/{2}";

        public PlayerFileSetFilesService()
            : base()
        { }

        public PlayerFileSetFilesService(string key)
            : base(key)
        { }

        public void GetPlayerFileSetFilesAsync(string gamerTag, string fileSetId)
        {
            StartServiceCall(String.Format(uri, apiKey, gamerTag, fileSetId));
        }
    }
}
